Index: source/python/classes/ControlFile.py
===================================================================
--- source/python/classes/ControlFile.py	(revision 70fee58eedd41328d9f5cdc56db77e03ec78bf71)
+++ source/python/classes/ControlFile.py	(revision 708c6674550abec09bd249f6654698bdeaed17d0)
@@ -67,18 +67,5 @@
 class ControlFile(object):
     '''
-    Class containing the information of the flex_extract CONTROL file.
-
-    Contains all the parameters of CONTROL file, which are e.g.:
-    DAY1(start_date), DAY2(end_date), DTIME, MAXSTEP, TYPE, TIME,
-    STEP, CLASS(marsclass), STREAM, NUMBER, EXPVER, GRID, LEFT,
-    LOWER, UPPER, RIGHT, LEVEL, LEVELIST, RESOL, GAUSS, ACCURACY,
-    OMEGA, OMEGADIFF, ETA, ETADIFF, DPDETA, SMOOTH, FORMAT,
-    ADDPAR, WRF, CWC, PREFIX, ECSTORAGE, ECTRANS, ECFSDIR,
-    MAILOPS, MAILFAIL, GRIB2FLEXPART, FLEXPARTDIR,
-    BASETIME, DATE_CHUNK, DEBUG, INPUTDIR, OUTPUTDIR, FLEXPART_ROOT_SCRIPTS
-
-    For more information about format and content of the parameter
-    see documentation.
-
+    Contains the information which are stored in the CONTROL files.
     '''
 
Index: source/python/mods/disaggregation.py
===================================================================
--- source/python/mods/disaggregation.py	(revision ae88f7d410a1ec93202f85e2c2167ca079e6dc11)
+++ source/python/mods/disaggregation.py	(revision 708c6674550abec09bd249f6654698bdeaed17d0)
@@ -52,35 +52,39 @@
 # ------------------------------------------------------------------------------
 def dapoly(alist):
-    '''
-    @Author: P. JAMES
-
-    @Date: 2000-03-29
-
-    @ChangeHistory:
-        June 2003     - A. BECK (2003-06-01)
-            adaptaions
-        November 2015 - Leopold Haimberger (University of Vienna)
-            migration from Fortran to Python
-
-    @Description:
-        Interpolation of deaccumulated fluxes of an ECMWF model FG field
-        using a cubic polynomial solution which conserves the integrals
-        of the fluxes within each timespan.
-        disaggregationregation is done for 4 accumluated timespans which generates
-        a new, disaggregated value which is output at the central point
-        of the 4 accumulation timespans. This new point is used for linear
-        interpolation of the complete timeseries afterwards.
-
-    @Input:
-        alist: list of size 4, array(2D), type=float
-            List of 4 timespans as 2-dimensional, horizontal fields.
-            E.g. [[array_t1], [array_t2], [array_t3], [array_t4]]
-
-    @Return:
-        nfield: array(2D), type=float
-            New field which replaces the field at the second position
-            of the accumulation timespans.
-
-    '''
+    """Cubic polynomial interpolation of deaccumulated fluxes.
+
+    Interpolation of deaccumulated fluxes of an ECMWF model FG field
+    using a cubic polynomial solution which conserves the integrals
+    of the fluxes within each timespan.
+    Disaggregation is done for 4 accumluated timespans which
+    generates a new, disaggregated value which is output at the
+    central point of the 4 accumulation timespans.
+    This new point is used for linear interpolation of the complete
+    timeseries afterwards.
+
+    Parameters
+    ----------
+    alist : :obj:`list` of :obj:`array` of :obj:`float`
+        List of 4 timespans as 2-dimensional, horizontal fields.
+        E.g. [[array_t1], [array_t2], [array_t3], [array_t4]]
+
+    Return
+    ------
+    nfield : :obj:`array` of :obj:`float`
+        Interpolated flux at central point of accumulation timespan.
+
+    Note
+    ----
+    March 2000    : P. JAMES
+        Original author
+
+    June 2003     : A. BECK
+        Adaptations
+
+    November 2015 : Leopold Haimberger (University of Vienna)
+        Migration from Fortran to Python
+
+    """
+
     pya = (alist[3] - alist[0] + 3. * (alist[1] - alist[2])) / 6.
     pyb = (alist[2] + alist[0]) / 2. - alist[1] - 9. * pya / 2.
@@ -93,34 +97,37 @@
 
 def darain(alist):
-    '''
-    @Author: P. JAMES
-
-    @Date: 2000-03-29
-
-    @ChangeHistory:
-        June 2003     - A. BECK (2003-06-01)
-            adaptaions
-        November 2015 - Leopold Haimberger (University of Vienna)
-            migration from Fortran to Python
-
-    @Description:
-        Interpolation of deaccumulated fluxes of an ECMWF model FG rainfall
-        field using a modified linear solution which conserves the integrals
-        of the fluxes within each timespan.
-        disaggregationregation is done for 4 accumluated timespans which generates
-        a new, disaggregated value which is output at the central point
-        of the 4 accumulation timespans. This new point is used for linear
-        interpolation of the complete timeseries afterwards.
-
-    @Input:
-        alist: list of size 4, array(2D), type=float
-            List of 4 timespans as 2-dimensional, horizontal fields.
-            E.g. [[array_t1], [array_t2], [array_t3], [array_t4]]
-
-    @Return:
-        nfield: array(2D), type=float
-            New field which replaces the field at the second position
-            of the accumulation timespans.
-    '''
+    """Linear interpolation of deaccumulated fluxes.
+
+    Interpolation of deaccumulated fluxes of an ECMWF model FG rainfall
+    field using a modified linear solution which conserves the integrals
+    of the fluxes within each timespan.
+    Disaggregation is done for 4 accumluated timespans which generates
+    a new, disaggregated value which is output at the central point
+    of the 4 accumulation timespans. This new point is used for linear
+    interpolation of the complete timeseries afterwards.
+
+    Parameters
+    ----------
+    alist : :obj:`list` of :obj:`array` of :obj:`float`
+        List of 4 timespans as 2-dimensional, horizontal fields.
+        E.g. [[array_t1], [array_t2], [array_t3], [array_t4]]
+
+    Return
+    ------
+    nfield : :obj:`array` of :obj:`float`
+        Interpolated flux at central point of accumulation timespan.
+
+    Note
+    ----
+    March 2000    : P. JAMES
+        Original author
+
+    June 2003     : A. BECK
+        Adaptations
+
+    November 2015 : Leopold Haimberger (University of Vienna)
+        Migration from Fortran to Python
+    """
+
     xa = alist[0]
     xb = alist[1]
@@ -143,40 +150,43 @@
 
 def IA3(g):
-    """
-
-    ***************************************************************************
-    * Copyright 2017                                                          *
-    * Sabine Hittmeir, Anne Philipp, Petra Seibert                            *
-    *                                                                         *
-    * This work is licensed under the Creative Commons Attribution 4.0        *
-    * International License. To view a copy of this license, visit            *
-    * http://creativecommons.org/licenses/by/4.0/ or send a letter to         *
-    * Creative Commons, PO Box 1866, Mountain View, CA 94042, USA.            *
-    ***************************************************************************
-
-    @Description
-       The given data series will be interpolated with a non-negative geometric
-       mean based algorithm. The original grid is reconstructed by adding two
-       sampling points in each data series interval. This subgrid is used to
-       keep all information during the interpolation within the associated
-       interval. Additionally, an advanced monotonicity filter is applied to
-       improve the monotonicity properties of the series.
-
-       For more information see article:
-       Hittmeir, S.; Philipp, A.; Seibert, P. (2017): A conservative
-       interpolation scheme for extensive quantities with application to the
-       Lagrangian particle dispersion model FLEXPART.,
-       Geoscientific Model Development
-
-    @Input
-       g: list of float values
-          A list of float values which represents the complete data series that
-          will be interpolated having the dimension of the original raw series.
-
-    @Return
-       f: list of float values
-          The interpolated data series with additional subgrid points.
-          Its dimension is equal to the length of the input data series
-          times three.
+    """ Interpolation with a non-negative geometric mean based algorithm.
+
+    The original grid is reconstructed by adding two sampling points in each
+    data series interval. This subgrid is used to keep all information during
+    the interpolation within the associated interval. Additionally, an advanced
+    monotonicity filter is applied to improve the monotonicity properties of
+    the series.
+
+    Note
+    ----
+    Copyright 2017
+    Sabine Hittmeir, Anne Philipp, Petra Seibert
+
+    This work is licensed under the Creative Commons Attribution 4.0
+    International License. To view a copy of this license, visit
+    http://creativecommons.org/licenses/by/4.0/ or send a letter to
+    Creative Commons, PO Box 1866, Mountain View, CA 94042, USA.
+
+    Parameters
+    ----------
+    g : :obj:`list` of :obj:`float`
+        Complete data series that will be interpolated having
+        the dimension of the original raw series.
+
+    Return
+    ------
+    f : :obj:`list` of :obj:`float`
+        The interpolated data series with additional subgrid points.
+        Its dimension is equal to the length of the input data series
+        times three.
+
+
+    References
+    ----------
+    For more information see article:
+    Hittmeir, S.; Philipp, A.; Seibert, P. (2017): A conservative
+    interpolation scheme for extensive quantities with application to the
+    Lagrangian particle dispersion model FLEXPART.,
+    Geoscientific Model Development
     """
 
